/**
 * https://www.drupal.org/docs/drupal-apis/javascript-api/javascript-api-overview
 */

(function (Drupal) {
    Drupal.behaviors.swoModuleAdminBehavior = {
        attach (context, settings) {
          
            // Metoda attach již řeší automaticky: 
            // - zapouzdření kódu do vlastního izolovaného prostoru (izoluje kód od globálního prostoru)
            // - vynucení přísného režimu
            // - načtení celého DOM
          
            // Zamezte opakovanému vykonávání pro stejné prvky.
            once('hello-world', 'body', context).forEach(function () {

                console.log('SWO module: admin script loaded!');
         
                // Najdi všechny odstavce a u každého z nich...
                document.querySelectorAll('p').forEach(function (paragraph) {

                    // Hlídej, zda bylo kliknuto na odstavec
                    paragraph.addEventListener('click', function () {

                        // Pokud bylo kliknuto, přidej/odeber CSS třídu
                        this.classList.toggle('swo-admin');
                    });
                });
            })
        }
    };
})(Drupal);
